%define srcname xf86-video-s3virge
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-s3virge
Version: 1.9.1
Release: alt3
Serial: 1
Summary: S3 ViRGE video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2
Source1: s3virge.xinf

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Provides: x11-driver-s3virge
Requires: xorg-x11-server >= 1.0.99.901

BuildRequires: pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

%description
s3virge  is  an  Xorg  driver for S3 based video cards.  The
driver is fully accelerated, and provides  support  for  the  following
framebuffer  depths: 8, 15, 16, and 24.  All visual types are supported
for depth 8, and TrueColor visuals are supported for the other  depths.
XVideo  hardware  up scaling is supported in depth 16 and 24 on the DX,
GX, GX2, MX, MX+, and Trio3D/2X.  Doublescan modes  are  supported  and
tested  in  depth 8 and 16 on DX, but disable XVideo.  Doublescan modes
on other chipsets are untested.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/s3virge.xinf

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.9.1-alt3
- added videoaliases file from RH

* Thu Aug 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.9.1-alt2
- build for i586 and x86_64

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.9.1-alt1
- 1.9.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.8.6.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.8.6.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.8.6.2-alt0.1
- initial release

